org.apache.maven.plugin

## Class MavenPluginValidator

- java.lang.Object
- - org.apache.maven.plugin.MavenPluginValidator

    public class MavenPluginValidator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MavenPluginValidator(Artifact pluginArtifact)`

### Method Summary

Methods
`void` `componentDiscovered(ComponentDiscoveryEvent event)`
`java.util.List` `getErrors()`
`boolean` `hasErrors()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenPluginValidator

    public MavenPluginValidator(Artifact pluginArtifact)

### Method Detail

#### componentDiscovered

    public void componentDiscovered(ComponentDiscoveryEvent event)

#### hasErrors

    public boolean hasErrors()

#### getErrors

    public java.util.List getErrors()